classification
Title: Error 0x80070003: Failed to launch elevated child process
Type: behavior Stage: resolved
Components: Installation, Windows Versions: Python 3.6, Python 3.5
process
Status: closed Resolution: third party
Dependencies: Superseder:
Assigned To: Nosy List: Kai Shen, alevonian, eryksun, paul.moore, steve.dower, tim.golden, zach.ware
Priority: normal Keywords:

Created on 2017-03-02 21:49 by alevonian, last changed 2017-06-18 06:06 by eryksun. This issue is now closed.

Files
File name Uploaded Description Edit
Python 3.5.3 (64-bit)_20170302121038.log alevonian, 2017-03-02 21:49 Installation log file.
Messages (7)
msg288834 - (view) Author: Armen Levonian (alevonian) Date: 2017-03-02 21:49
For some reason, after uninstalling Python 3.5.2 on my Windows 10 (64 bit - latest version), I am no longer able to install any new version of Python after version 3.4.3

I keep getting the failure to elevate privileges. I have of course tried to run the installer as Admin, or even launch a command prompt as admin or powershell as admin then run the installer with no luck. 

Disabling Windows Defender did not help.

I have also lowered UAC all the way down, to no reporting, still no luck.

The log file attached is for the 64 bit installer for 3.5.3 but I get identical results with the 32 bit installers for version 3.5.2 and 3.5.1.

I can install latest Anaconda and also Python 3.4.3 without issues.

I also had no problem installing 3.5.3 on another of my machines with same Windows 10 (64 bit) and that machine accepts the install without issues.

Once again, I had version 3.5.2 running fine until I uninstalled it to upgrade.
msg288848 - (view) Author: Eryk Sun (eryksun) * (Python triager) Date: 2017-03-03 03:20
The error message is misleading. It happens that WiX is trying to run an elevated process (see the WiX functions CoreLaunchApprovedExe, CoreElevate, ElevationElevate, and PipeLaunchChildProcess). However, the actual error code has nothing to do with elevation. Error code 0x80070003 is a 32-bit HRESULT error originating from the Windows API (0x8007). The 16-bit Windows error is ERROR_PATH_NOT_FOUND (0x0003). According to the installation log, this error is from trying to shell execute "C:\Users\ALEVON~1\AppData\Local\Temp\{8D001A8F-7F1F-4183-A574-76127D642F75}\.be\python-3.5.3-amd64.exe". Notably the error is in the path instead of ERROR_FILE_NOT_FOUND (0x0002), so the problem may have been that one of the parent directories was missing.
msg288891 - (view) Author: Armen Levonian (alevonian) Date: 2017-03-03 14:40
Hi Eryk,
I did think of that as well so I actually navigated to that temp folder (from the log) which the installer created (every time it runs, it creates a new temp folder and places the executable there) and executed that directly and got exactly the same log message.
So the folder exists, since the installer is creating it, and the .exe exists.
Armen

      From: Eryk Sun <report@bugs.python.org>
 To: alevonian@yahoo.com 
 Sent: Thursday, March 2, 2017 7:20 PM
 Subject: [issue29702] Error 0x80070003: Failed to launch elevated child process

Eryk Sun added the comment:

The error message is misleading. It happens that WiX is trying to run an elevated process (see the WiX functions CoreLaunchApprovedExe, CoreElevate, ElevationElevate, and PipeLaunchChildProcess). However, the actual error code has nothing to do with elevation. Error code 0x80070003 is a 32-bit HRESULT error originating from the Windows API (0x8007). The 16-bit Windows error is ERROR_PATH_NOT_FOUND (0x0003). According to the installation log, this error is from trying to shell execute "C:\Users\ALEVON~1\AppData\Local\Temp\{8D001A8F-7F1F-4183-A574-76127D642F75}\.be\python-3.5.3-amd64.exe". Notably the error is in the path instead of ERROR_FILE_NOT_FOUND (0x0002), so the problem may have been that one of the parent directories was missing.

----------
nosy: +eryksun

_______________________________________
Python tracker <report@bugs.python.org>
<http://bugs.python.org/issue29702>
_______________________________________
msg288910 - (view) Author: Eryk Sun (eryksun) * (Python triager) Date: 2017-03-03 18:44
When run directly from the temp directory path that's reported in the log, does the new log say that the installer is trying to run python-3.5.3-amd64.exe from that same path, or is it trying to run it from a new directory?
msg288928 - (view) Author: Armen Levonian (alevonian) Date: 2017-03-03 21:04
If I close the failure to run dialog, the temp directory is also destroyed, thus getting rid of the temp executable, however, while the fail dialog is up and I travel to where it says it fails to run the executable, it then yet creates another temp guid directory and logs a failure as unable to run from the thing it just created.So I can recursively launch and fail.
I don't understand why it wants to run another executable that is itself when it is already running it.

      From: Eryk Sun <report@bugs.python.org>
 To: alevonian@yahoo.com 
 Sent: Friday, March 3, 2017 10:44 AM
 Subject: [issue29702] Error 0x80070003: Failed to launch elevated child process

Eryk Sun added the comment:

When run directly from the temp directory path that's reported in the log, does the new log say that the installer is trying to run python-3.5.3-amd64.exe from that same path, or is it trying to run it from a new directory?

----------

_______________________________________
Python tracker <report@bugs.python.org>
<http://bugs.python.org/issue29702>
_______________________________________
msg294097 - (view) Author: Kai Shen (Kai Shen) Date: 2017-05-21 10:52
when you perform the installation and choose the "Download debugging symbols" or "Download debug binaries", make sure your internet connection is up and available.
msg296260 - (view) Author: Armen Levonian (alevonian) Date: 2017-06-18 05:25
OK, so this bug tuned out to be related to the Windows 10 version I had prior to the just now updated 1703.
I discovered one other Visual Studio installation that was failing.
However, after the update to the latest Windows 1703, the installation issues are resolved.

So we can close this as it seems it was a possibly broken windows 10 version. As a reminder, I was only experiencing this issue on only 1 machine.

Cheers.
History
Date User Action Args
2017-06-18 06:06:57eryksunsetstatus: open -> closed
resolution: out of date -> third party
stage: resolved
2017-06-18 05:25:58alevoniansetresolution: out of date
messages: + msg296260
2017-05-21 10:52:04Kai Shensetnosy: + Kai Shen
messages: + msg294097
2017-03-03 21:04:44alevoniansetmessages: + msg288928
2017-03-03 18:44:02eryksunsetmessages: + msg288910
2017-03-03 14:40:49alevoniansetmessages: + msg288891
2017-03-03 03:20:54eryksunsetnosy: + eryksun
messages: + msg288848
2017-03-02 21:49:04alevoniancreate